package jp.veritrans.tercerog.sample.command.carrier;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CarrierCaptureRequestDto;
import jp.veritrans.tercerog.mdk.dto.CarrierCaptureResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * CarrierCaptureCommand : キャリア決済(売上)サンプル
 */
public class CarrierCaptureCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // キャリア
        String carrier = "au";
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";
        // 課金売上月
        String captureMonth = "";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        CarrierCaptureRequestDto reqDto = new CarrierCaptureRequestDto();
        // キャリア
        reqDto.setServiceOptionType(carrier);
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // 課金売上月の設定
        reqDto.setCaptureMonth(captureMonth);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        CarrierCaptureResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CarrierCaptureResponseDto)tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Carrier(Capture) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);
            Custom.print("Capture Month", captureMonth);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("CaptureDatetime", resDto.getCaptureDatetime());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
