package jp.veritrans.tercerog.sample.command.cvs;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CvsCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.CvsCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;


/**
 * CvsCancelCommand : コンビニ決済(キャンセル)サンプル
 */
public class CvsCancelCommand {

	/**
	 * コマンドテスト用メインメソッド
	 */
	public static void main(String[] args) {

		//---------------------------------
		// テスト用リクエスト電文項目設定  
		//---------------------------------
		// コンビニエンスストアの分類を指定
		//   "sej" - セブンイレブン
		//   "econ" - イーコンテキスト(ファミリーマート、ローソン、セイコーマート等)
		//   "other" - ウェルネット(サークルKサンクス等)
		String serviceOptionType = "sej";
	    // 取引ID("取消対象の取引IDを設定")
	    String orderID = "1234567890";
	    
		//---------------------------------
		// リクエスト DTO 設定  
		//---------------------------------
	    CvsCancelRequestDto reqDto = new CvsCancelRequestDto();
	    // コンビニエンスストアの分類設定
	    reqDto.setServiceOptionType(serviceOptionType);
	    // オーダーIDの設定
        reqDto.setOrderId(orderID);
		
		//---------------------------------
		// 決済実行と結果表示  
		//---------------------------------
        ITransaction tran = null;
        CvsCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CvsCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Cvs(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("CVS Type", serviceOptionType);
            Custom.print("Order ID", orderID);
            
            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
	
	}

}
