package jp.veritrans.tercerog.sample.command.em;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.EmReAuthorizeRequestDto;
import jp.veritrans.tercerog.mdk.dto.EmReAuthorizeResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * EmReAuthorizeCommand : 電子マネー決済(再決済申込)サンプル
 */
public class EmReAuthorizeCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // [決済方式]
        // nanaco決済 : tcc-redirect
        String serviceOptionType = "tcc-redirect";
        // 取引ID（決済申込時の取引IDを指定）
        String orderID = "";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        EmReAuthorizeRequestDto reqDto = new EmReAuthorizeRequestDto();
        // 決済方式の設定
        reqDto.setServiceOptionType(serviceOptionType);
        // 取引IDの設定
        reqDto.setOrderId(orderID);

        /* サンプルのためダミーURLを設定 */
        // 復旧リダイレクションURL
        reqDto.setReAuthorizeRedirectionUrl("http://127.0.0.1/web/em/Complete");

        // ---------------------------------
        // 決済実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        EmReAuthorizeResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (EmReAuthorizeResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Em(Remove) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceOptionType", serviceOptionType);
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Order ID", resDto.getOrderId());
            Custom.print("ReAuth Application URL", resDto.getReAuthAppUrl());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
    }
}
