package jp.veritrans.tercerog.sample.command.masterpass;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MasterpassCaptureRequestDto;
import jp.veritrans.tercerog.mdk.dto.MasterpassCaptureResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * MasterpassCaptureCommand : Masterpass決済(売上)サンプル
 */
public class MasterpassCaptureCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        MasterpassCaptureRequestDto reqDto = new MasterpassCaptureRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        MasterpassCaptureResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (MasterpassCaptureResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Masterpass(Capture) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("CaptureDatetime", resDto.getCaptureDatetime());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
