package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AccountAddRequestDto;
import jp.veritrans.tercerog.mdk.dto.AccountAddResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdAccountAddCommand : PayNowId(会員入会)処理用サーブレット
 */
public class PayNowIdAccountAddCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";
        // 入会年月日
        String createDate = "20130930";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        AccountAddRequestDto reqDto = new AccountAddRequestDto();

        // 会員IDの設定
        reqDto.setAccountId(accountId);
        // 入会年月日の設定
        reqDto.setCreateDate(createDate);

        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        AccountAddResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AccountAddResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(AccountAdd) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);
            Custom.print("Create Date", createDate);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", resDto.getPayNowIdResponse().getStatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", resDto.getPayNowIdResponse().getProcessId());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }

    }
}
