package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CardInfoDeleteRequestDto;
import jp.veritrans.tercerog.mdk.dto.CardInfoDeleteResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdCardInfoDeleteCommand : PayNowId(カード情報削除)処理用サーブレット
 */
public class PayNowIdCardInfoDeleteCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";
        // カードID
        String cardId = "1";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        CardInfoDeleteRequestDto reqDto = new CardInfoDeleteRequestDto();
        // 会員IDの設定
        reqDto.setAccountId(accountId);
        // カードIDの設定
        reqDto.setCardId(cardId);
        
        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        CardInfoDeleteResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CardInfoDeleteResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(CardInfoDelete) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);
            Custom.print("Card ID", cardId);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", resDto.getPayNowIdResponse().getStatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", resDto.getPayNowIdResponse().getProcessId());
            
        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }
    }
}
