package jp.veritrans.tercerog.sample.command.saison;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.SaisonCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.SaisonCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;


/**
 * SaisonCancelCommand : 永久不滅ポイント(永久不滅ウォレット)(キャンセル)サンプル
 */
public class SaisonCancelCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(キャンセル対象取引IDを設定してください)
        String orderID        = "";
        // カード取消フラグ（0： 永久不滅のみキャンセル、1：永久不滅とカード決済の両方キャンセル）
        String cardCancelFlag = "1";


        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        SaisonCancelRequestDto reqDto = new SaisonCancelRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // カード取消フラグの設定
        reqDto.setCardCancelFlag(cardCancelFlag);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        SaisonCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (SaisonCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Saison(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            // 永久不滅ポイント処理結果の格納
            Custom.print("Mstatus", resDto.getMstatus());
            Custom.print("OrderId", resDto.getOrderId());
            Custom.print("MerrMsg", resDto.getMerrMsg());
            Custom.print("VResultCode", resDto.getVResultCode());

            // カード処理結果の格納
            Custom.print("CardOrderId", resDto.getCardOrderId());
            Custom.print("CardMstatus", resDto.getCardMstatus());
            Custom.print("CardMerrMsg", resDto.getCardMerrMsg());
            Custom.print("CardVResultCode", resDto.getCardVResultCode());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}

