package jp.veritrans.tercerog.sample.web.carrier.base;

import java.io.IOException;
import java.io.UnsupportedEncodingException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * キャリア決済 継続課金終了請求入力画面の初期表示クラス。
 */
public abstract class AbstractTerminate extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    abstract protected String getJsp();

    abstract protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(final HttpServletRequest request, final HttpServletResponse response)
            throws ServletException, IOException {

        // 文字コードの指定
        setCharacterEncoding(request);

        // 管理メニューから遷移した時の設定
        String paramValue = super.getServletConfig().getInitParameter("Admin");
        request.setAttribute("Admin", paramValue);

        forward(request, response, getJsp());
    }

}
