<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>
<%@ page import="java.util.*"%>

<%
    // token.propertiesファイルから必要なプロパティを取得
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("token", objLcl);
    String token_api_key = rb.getString("tokenApiKey");
    String token_api_url = rb.getString("tokenApiUrl");
    if (Utils.isNull(token_api_url) == true) {
        token_api_url = Utils.getHost(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) + "/4gtoken";
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils
            .out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - 会員カード管理サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function initializeVal() {
            document.getElementById('card_number').value = "";
            document.getElementById('cc-exp').value = "";
        }

        function submitForm(frm, action, execMode) {
            initializeVal()
            frm.execMode.value = execMode;
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }

        function submitToken(frm, action, execMode) {
            var data = {};
            data.token_api_key = document.getElementById('token_api_key').innerText;
            if (document.getElementById('card_number')) {
                data.card_number = document.getElementById('card_number').value;
            }
            if (document.getElementById('cc-exp')) {
                data.card_expire = document.getElementById('cc-exp').value;
            }
            data.lang = "ja";

            var url = document.getElementById('token_api_url').innerText;

            var xhr = new XMLHttpRequest();
            xhr.open('POST', url, true);
            xhr.setRequestHeader('Accept', 'application/json');
            xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
            xhr.addEventListener('loadend', function () {
                if (xhr.status === 0) {
                    alert("トークンサーバーとの接続に失敗しました");
                    return;
                }
                var response = JSON.parse(xhr.response);
                if (xhr.status == 200) {
                    document.getElementById('token').value = response.token;
                    submitForm(frm, action, execMode);
                } else {
                    alert(response.message);
                }

            });
            xhr.send(JSON.stringify(data));
        }
    </script>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <span style="font-size: small;">
            本画面はVeriTrans4G 会員カード管理のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </span>
    </div>
    <%= warning %>
    <div class="lhtitle">会員カード管理</div>
    <form name="FORM_PAY_NOW_ID" method="post" action="./CardManageExec">
        <input type="hidden" name="execMode" value="">
        <table style="border-width: 0; padding: 0; border-collapse: collapse;">
            <tr>
                <td class="thl" colspan="2">カード情報</td>
            </tr>
            <tr>
                <td class="ititlecommon">会員ID</td>
                <td class="ivaluecommon">
                    <input type="text" size="50" name="accountId" value="<%= Utils.out(request.getParameter("accountId")) %>" maxLength="100">
                    <input type="button" value="カード情報取得" onclick="submitForm(FORM_PAY_NOW_ID, './CardManageExec', '1');">
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">カード選択</td>
                <td class="ivaluecommon">
                    <select name="cardSelect">
                        <option value="">新しいカードを登録する</option><%
                            HashMap map = (HashMap)session.getAttribute("cardList");
                            if (map != null) {
                                Iterator it = map.keySet().iterator();
                                while(it.hasNext()) {
                                    String key = (String)it.next();
                                    String cardSelect = (String)session.getAttribute("cardSelect");
                                    String selected = "";
                                    if (key.equals(cardSelect)) {
                                        selected = "selected";
                                    }
                        %><option value="<%=key%>" <%=selected%>><%=map.get(key)%></option><%
                                }
                            }
                        %>
                    </select>
                    <input type="button" value="削除" onclick="submitForm(FORM_PAY_NOW_ID, './CardManageExec', '2');">
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">クレジットカード番号</td>
                <td class="ivaluecommon">
                    <input id="card_number" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number"
                        autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="19" size="19">
                    <br/><font size="2" color="red">&nbsp;(カード選択時に入力した場合、カード番号の変更扱い)</font>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">有効期限</td>
                <td class="ivaluecommon">
                    <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off"
                        spellcheck="off" autocapitalize="off" placeholder="MM/YY" maxlength="5" size="5">&nbsp;&nbsp;
                    <span style="font-size: small; color: red;">※形式：MM/YY
                    <br/>&nbsp;(カード選択時に入力した場合、有効期限の延長扱い)
                    </span>
                </td>
            </tr>
            <tr>
                <td class="thlToken" colspan="2">
                    MDKトークン設定情報
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">トークンAPIキー</td>
                <td class="ivaluecommon">
                    <span id="token_api_key"><%= Utils.out(token_api_key) %></span>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">トークンAPI URL</td>
                <td class="ivaluecommon">
                    <span id="token_api_url"><%= Utils.out(token_api_url) %></span>
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td colspan="2">
                     <input type="submit" onclick="submitToken(FORM_PAY_NOW_ID, './CardManageExec', '3');return false;" value="実行">
                         &nbsp;&nbsp;<span style="font-size: small; color: red;">※2回以上クリックしないでください。</span>
                </td>
            </tr>
        </table>
        <input type="hidden" id="token" name="token">
    </form>
    <a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
