<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="java.util.*" %>
<%

    // 課金処理モード
    String chargeMode_1 = "";
    String chargeMode_2 = "";
    if ("1".equals(request.getParameter("chargeMode"))) { chargeMode_1 = " selected"; }
    if ("2".equals(request.getParameter("chargeMode"))) { chargeMode_2 = " selected"; }

    // token.propertiesファイルから必要なプロパティを取得
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("token", objLcl);
    String token_api_key = rb.getString("tokenApiKey");
    String token_api_url = rb.getString("tokenApiUrl");
    if (Utils.isNull(token_api_url) == true) {
        token_api_url = Utils.getHost(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) + "/4gtoken";
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>VeriTrans 4G - 継続課金管理(カード払い)サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function initializeVal() {
            document.getElementById('card_number').value = "";
            document.getElementById('cc-exp').value = "";
        }

        function submitForm(frm, action, execMode) {
            initializeVal();
            frm.execMode.value = execMode;
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }

        function submitToken(frm, action, execMode) {
            if (document.getElementById('card_select').value != "") {
                submitForm(frm, action, execMode);
                return;
            }

            var data = {};
            data.token_api_key = document.getElementById('token_api_key').innerText;
            if (document.getElementById('card_number')) {
                data.card_number = document.getElementById('card_number').value;
            }
            if (document.getElementById('cc-exp')) {
                data.card_expire = document.getElementById('cc-exp').value;
            }
            data.lang = "ja";
            var url = document.getElementById('token_api_url').innerText;

            var xhr = new XMLHttpRequest();
            xhr.open('POST', url, true);
            xhr.setRequestHeader('Accept', 'application/json');
            xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
            xhr.addEventListener('loadend', function () {
                if (xhr.status === 0) {
                    alert("トークンサーバーとの接続に失敗しました");
                    return;
                }
                var response = JSON.parse(xhr.response);
                if (xhr.status == 200) {
                    document.getElementById('token').value = response.token;
                    submitForm(frm, action, execMode);
                } else {
                    alert(response.message);
                }
            });
            xhr.send(JSON.stringify(data));
        }
    </script>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <span style="font-size: small;">
            本画面はVeriTrans4G 継続課金管理(カード払い)のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </span>
    </div>
    <%= warning %>

    <form name="FORM_PAY_NOW_ID" method="post" action="./RecurringExec">
        <input type="hidden" name="execMode" value="">
        <select name="chargeMode">
            <option value="1" <%= Utils.out(chargeMode_1) %>>新規課金開始</option>
            <option value="2" <%= Utils.out(chargeMode_2) %>>更新</option>
        </select>
        <div class="lhtitle">継続課金管理(カード払い)</div>
        <table style="border-width: 0; padding: 0; border-collapse: collapse;">
            <tr>
                <td class="thl" colspan="2">会員情報</td>
            </tr>
            <tr>
                <td class="ititlecommon">会員ID</td>
                <td class="ivaluecommon">
                    <input type="text" size="50" name="accountId" value="<%= Utils.out(request.getParameter("accountId")) %>" maxLength="100">
                    <input type="button" value="カード情報取得" onclick="submitForm(FORM_PAY_NOW_ID, './RecurringExec', '1');">
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td class="thl" colspan="2">継続課金情報</td>
            </tr>
            <tr>
                <td class="ititlecommon">課金グループID</td>
                <td class="ivaluecommon">
                    <input type="text" size="30" name="groupId" value="<%= Utils.out(request.getParameter("groupId")) %>" maxLength="24">
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">課金開始日</td>
                <td class="ivaluecommon">
                    <input type="text" size="8" name="startDate" value="<%= Utils.out(request.getParameter("startDate")) %>" maxLength="8">&nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD&nbsp;(新規課金開始時のみ入力可)</font>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">課金終了日</td>
                <td class="ivaluecommon">
                    <input type="text" size="8" name="endDate" value="<%= Utils.out(request.getParameter("endDate")) %>" maxLength="8" />&nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">都度／初回課金金額</td>
                <td class="ivaluecommon">
                    <input type="text" size="12" name="oneTimeAmount" value="<%= Utils.out(request.getParameter("oneTimeAmount")) %>" maxLength="12">
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">継続課金金額</td>
                <td class="ivaluecommon">
                    <input type="text" size="12" name="amount" value="<%= Utils.out(request.getParameter("amount")) %>" maxLength="12">
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td class="thl" colspan="2">カード情報</td>
            </tr>
            <tr>
                <td class="ititlecommon">カード選択</td>
                <td class="ivaluecommon">
                    <select name="cardSelect" id="card_select">
                        <option value="">新しいカードを登録する</option><%
                            HashMap map = (HashMap)session.getAttribute("cardList");
                            if (map != null) {
                                Iterator it = map.keySet().iterator();
                                while(it.hasNext()) {
                                    String key = (String)it.next();
                                    String cardSelect = (String)session.getAttribute("cardSelect");
                                    String selected = "";
                                        if (key.equals(cardSelect)) {
                                            selected = "selected";
                                        }
                        %><option value="<%=key%>" <%=selected%>><%=map.get(key)%></option><%
                                    }
                            }
                        %>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">クレジットカード番号</td>
                <td class="ivaluecommon">
                    <input id="card_number" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number"
                    autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="19" size="19">
                    <font size="2" color="red">&nbsp;(新しいカードを登録する場合のみ入力可)</font>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">有効期限</td>
                <td class="ivaluecommon">
                    <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off"
                    spellcheck="off" autocapitalize="off" placeholder="MM/YY" maxlength="5"
                    size="5">&nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY&nbsp;(新しいカードを登録する場合のみ入力可)</span>
                </td>
            </tr>
            <tr>
                <td class="thlToken" colspan="2">
                    MDKトークン設定情報
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">トークンAPIキー</td>
                <td class="ivaluecommon">
                    <span id="token_api_key"><%= Utils.out(token_api_key) %></span>
                </td>
            </tr>
            <tr>
                <td class="ititlecommon">トークンAPI URL</td>
                <td class="ivaluecommon">
                    <span id="token_api_url"><%= Utils.out(token_api_url) %></span><br>
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td colspan="2">
                    <input type="submit" onclick="submitToken(FORM_PAY_NOW_ID, './RecurringExec', '2');return false;" value="実行">
                    &nbsp;&nbsp;<span style="font-size: small; color: red;">※2回以上クリックしないでください。</span>
                </td>
            </tr>
        </table>
        <input type="hidden" id="token" name="token">
    </form>
    <a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
