<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="java.util.*" %>

<%
    // 取引ID
    String order_id = "dummy" + System.currentTimeMillis();

    // カード取引ID
    String card_order_id = "dummycard" + System.currentTimeMillis();

    // token.propertiesファイルから必要なプロパティを取得
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("token", objLcl);
    String token_api_key = rb.getString("tokenApiKey");
    String token_api_url = rb.getString("tokenApiUrl");
    if (Utils.isNull(token_api_url) == true) {
        token_api_url = Utils.getHost(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) + "/4gtoken";
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>VeriTrans 4G - 永久不滅ポイント(永久不滅ウォレット)売上サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
    <script language="JavaScript" type="text/javascript">
        function initializeVal() {
            document.getElementById('card_number').value = "";
            document.getElementById('cc-exp').value = "";
            document.getElementById('cc-csc').value = "";
        }

        function reOauth(form) {
            initializeVal();
            document.FORM_SAISON_Authorize.amount.value=form.amount.value;
            document.FORM_SAISON_Authorize.submit();
        }

        function submitToken(e) {
            var card_amount_elm = document.getElementById('cardAmount');
            if (!card_amount_elm || card_amount_elm.value == 0) {
                initializeVal();
                document.forms[1].submit();
                return;
            }

            var data = {};
            data.token_api_key = document.getElementById('token_api_key').innerText;
            if (document.getElementById('card_number')) {
                data.card_number = document.getElementById('card_number').value;
            }
            if (document.getElementById('cc-exp')) {
                data.card_expire = document.getElementById('cc-exp').value;
            }
            if (document.getElementById('cc-csc')) {
                data.security_code = document.getElementById('cc-csc').value;
            }
            data.lang = "ja";
            var url = document.getElementById('token_api_url').innerText;

            var xhr = new XMLHttpRequest();
            xhr.open('POST', url, true);
            xhr.setRequestHeader('Accept', 'application/json');
            xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
            xhr.addEventListener('loadend', function () {
                if (xhr.status === 0) {
                    alert("トークンサーバーとの接続に失敗しました");
                    return;
                }
                var response = JSON.parse(xhr.response);
                if (xhr.status == 200) {
                    initializeVal();
                    document.getElementById('token').value = response.token;
                    document.forms[1].submit();
                } else {
                    alert(response.message);
                }
            });
            xhr.send(JSON.stringify(data));
        }
    </script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
    <span style="font-size: small;">
        本画面はVeriTrans4G 永久不滅ポイント(永久不滅ウォレット)決済の売上サンプル画面です。<br/>
        お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
        また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
    </span>
</div>

<%= warning %>

<table style="border-width: 0; padding: 0; border-collapse: collapse;">
    <tr>
        <td>
            <div class="lhtitle">永久不滅ポイント(永久不滅ウォレット)決済：売上</div>
        </td>
        <td width="20"><br></td>
        <%
            Integer aqfPointBalance = new Integer(request.getParameter("aqfPointBalance"));
            Integer pointBalance = new Integer(request.getParameter("pointBalance"));
            Integer amount = new Integer(Utils.out(request.getSession(true).getAttribute("amount")));

            if (aqfPointBalance.intValue() >= 100 && amount.intValue() > pointBalance.intValue()) {
        %>
        <td>
            <!-- 永久不滅ウォレット交換へ接続 -->
            <a href="javascript:void(0);" onclick="window.open('https://www.a-q-f.com/hpc/AuthenticationPHC.do');"><font size="2">永久不滅ウォレットへ交換</font></a>
        </td>
    </tr>
        <%  }  %>

<form name="FORM_SAISON_Authorize" method="post" action="./AuthorizeExec">
    <input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>">
    <input type="hidden" name="amount">
</form>

<form name="FORM_SAISON" method="post" action="./CaptureExec">
    <table style="border-width: 0; padding: 0; border-collapse: collapse;">
        <tr>
            <td class="ititlecommon">取引ID</td>
            <td class="ivaluecommon"><%= Utils.out(request.getParameter("orderId")) %>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">永久不滅ウォレット残高</td>
            <td class="ivaluecommon">
                <table border="0">
                    <tr>
                        <td><%= request.getParameter("pointBalance") %><input type="hidden" name="pointBalance" value="<%= request.getParameter("pointBalance") %>"></td>
                        <td/>
                        <%
                            if (aqfPointBalance.intValue() >= 100 && amount.intValue() > pointBalance.intValue()) {
                        %>
                          <td colspan="2"><input type="button"  onClick="reOauth(this.form)" value="残高再確認"></td>
                          <td>    </td>
                          <td>新取引ID : </td>
                          <td><%= Utils.out(order_id) %></td>
                        <%  }  %>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">永久不滅ポイント残高</td>
            <td class="ivaluecommon"><%= request.getParameter("aqfPointBalance") %><input type="hidden" name="aqfPointBalance" value="<%= request.getParameter("aqfPointBalance") %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">交換後利用可能バリュー</td>
            <td class="ivaluecommon"><%= request.getParameter("availableValue") %><input type="hidden" name="availableValue" value="<%= request.getParameter("availableValue") %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">合計決済金額</td>
            <td class="ivaluecommon"><%= Utils.out(Utils.out(request.getSession(true).getAttribute("amount"))) %>&nbsp;&nbsp;<input type="hidden" name="amount" value="<%= Utils.out(request.getSession(true).getAttribute("amount")) %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">永久不滅ウォレット決済金額</td>
            <td class="ivaluecommon"><input type="text" name="walletAmount" value="<%= Utils.out(request.getParameter("walletAmount")) %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">カード決済金額</td>
            <td class="ivaluecommon"><input type="text" name="cardAmount" id="cardAmount" value="<%= Utils.out(request.getParameter("cardAmount")) %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">カード番号</td>
            <td class="ivaluecommon">
                <input id="card_number" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number"
                    autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="19" size="19">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード有効期限</td>
            <td class="ivaluecommon">
                <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off"
                       spellcheck="off" autocapitalize="off" placeholder="MM/YY" maxlength="5"
                       size="5">&nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">セキュリティコード</td>
            <td class="ivaluecommon">
                <input id="cc-csc" type="tel" autocomplete="off" autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="4" size="4">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード取引ＩＤ</td>
            <td class="ivaluecommon"><input type="text" name="cardOrderId" value="<%= Utils.out(request.getParameter("cardOrderId")) %>"></td>
        </tr>
        <tr>
            <td class="ititlecommon">カード与信方法</td>
            <td class="ivaluecommon">
                <table border="0">
                    <tr>
                        <td><input type="radio" name="withCapture" value="false" checked="checked"></td><td>与信のみ(与信成功後に売上処理を行う必要があります)</td>
                    </tr>
                    <tr>
                        <td><input type="radio" name="withCapture" value="true"></td><td>与信売上(与信と同時に売上処理も行います)</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="thlToken" colspan="2">
                MDKトークン設定情報
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPIキー</td>
            <td class="ivaluecommon">
                <span id="token_api_key"><%= Utils.out(token_api_key) %></span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPI URL</td>
            <td class="ivaluecommon">
                <span id="token_api_url"><%= Utils.out(token_api_url) %></span><br>
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
    </table>
    <tr>
        <td colspan="2">
            <input type="submit" onclick="submitToken();return false;" value="購入">
            &nbsp;&nbsp;<span style="font-size: small; color: red;">※2回以上クリックしないでください。</span>
        </td>
    </tr>
</table>
<input type="hidden" id="token" name="token">
<input type="hidden" name="_screen" value="Capture">
</form>
<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
