<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(楽天)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果（楽天）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  OrderInfo order_info = (OrderInfo) request.getAttribute("order_info");
  if (order_info != null) {
    String target_orderId              = order_info.getOrderId();              // オーダーID
    String target_serviceTypeCd        = order_info.getServiceTypeCd();        // 決済サービスタイプ
    String target_orderStatus          = order_info.getOrderStatus();          // オーダー決済状態
    String target_lastSuccessTxnType   = order_info.getLastSuccessTxnType();   // 最終成功トランザクションタイプ
    String target_successDetailTxnType = order_info.getSuccessDetailTxnType(); // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_lastSuccessTxnType) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_successDetailTxnType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="8">固有オーダー情報</th>
    </tr>
<%
  if (order_info != null) {
    ProperOrderInfo properOrderInfo = order_info.getProperOrderInfo();
    String target_withCapture           = properOrderInfo.getWithCapture();             // 与信同時売上フラグ
    String target_itemName              = properOrderInfo.getItemName();                // 商品名
    String target_itemId                = properOrderInfo.getItemId();                  // 商品ID
    String target_authorizeAmount       = properOrderInfo.getAuthorizeAmount();         // 申込金額
    String target_balance               = properOrderInfo.getBalance();                 // 残高
    String target_usedPoint             = properOrderInfo.getUsedPoint();               // 利用ポイント
    String target_authorizeDatetime  = properOrderInfo.getAuthorizeDatetime();    // 決済申込確定日時
    String target_rakutenOrderId        = properOrderInfo.getRakutenOrderId();          // 楽天オーダーID
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>与信同時売上フラグ</td>
      <td class="rivalue2" nowrap width="100"><%= Utils.out(target_withCapture) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品名</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_itemName) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品ID</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_itemId) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>楽天オーダーID</td>
      <td class="rivalue2" nowrap width="300"><%= Utils.out(target_rakutenOrderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>申込金額</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_authorizeAmount) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>残高</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_balance) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>利用ポイント</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_usedPoint) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済申込確定日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_authorizeDatetime)) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="5">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="200">楽天APIエラーコード</th>
      <th class="rititle2" nowrap width="200">楽天注文エラーコード</th>
      <th class="rititle2" nowrap width="145">詳細コマンドタイプ</th>
      <th class="rititle2" nowrap width="170">楽天への要求日時</th>
      <th class="rititle2" nowrap width="185">楽天からの返戻日時</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.getTransactionInfos();
    TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String rakuten_rakutenApiErrorCode     = "";
    String rakuten_rakutenOrderErrorCode   = "";
    String rakuten_detailCommandType       = "";
    String rakuten_rakutenRequestDatetime  = "";
    String rakuten_rakutenResponseDatetime = "";

    if (transactionInfo != null && 0 < transactionInfo.length) {
      for (int i = 0; i < transactionInfo.length; i++) {
        transaction_txnId       = transactionInfo[i].getTxnId();       // トランザクション管理ID
        transaction_command     = transactionInfo[i].getCommand();     // コマンド
        transaction_mstatus     = transactionInfo[i].getMstatus();     // ステータスコード
        transaction_vResultCode = transactionInfo[i].getVResultCode(); // 結果コード
        transaction_txnDatetime = transactionInfo[i].getTxnDatetime(); // 取引日時
        transaction_amount      = transactionInfo[i].getAmount();      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].getProperTransactionInfo();
        if (properTransactionInfo != null) {
          rakuten_rakutenApiErrorCode     = properTransactionInfo.getRakutenApiErrorCode(); // 楽天APIエラーコード
          rakuten_rakutenOrderErrorCode   = properTransactionInfo.getRakutenOrderErrorCode(); // 楽天取引エラーコード
          rakuten_detailCommandType       = properTransactionInfo.getDetailCommandType();   // 詳細コマンドタイプ
          rakuten_rakutenRequestDatetime  = properTransactionInfo.getRakutenRequestDatetime();   // 楽天への要求日時
          rakuten_rakutenResponseDatetime = properTransactionInfo.getRakutenResponseDatetime(); // 楽天からの返戻日時
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(rakuten_rakutenApiErrorCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(rakuten_rakutenOrderErrorCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(rakuten_detailCommandType) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(rakuten_rakutenRequestDatetime)) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(rakuten_rakutenResponseDatetime)) %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>

  <br/>
  <a href="../Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

